
Redmine - Defect #20703

ldap filter can`t contain non-english characters

2015-09-09 15:06 - Alexander Ryabinovskiy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: LDAP Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.1.0

Description

I can`t save LDAP filter with non-english (russian) characters, because validation fails. But our AD groups contains it. For example:

Filter: (&(objectClass=user)(memberOf=CN=Программисты,OU=All groups,DC=organization,DC=local))

Related issues:

Related to Redmine - Defect #13728: Cannot logon using LDAP with the Russian ... New

History

#1 - 2015-10-06 12:27 - Toshi MARUYAMA

- Related to Defect #13728: Cannot logon using LDAP with the Russian password added

#2 - 2015-12-23 11:29 - Фёдор Патлин

- File 0001-Fix-exception-apperas-when-LDAP-attribute-contains-n.patch added

Same problem in 3.2.0.

Exception is:

I, [2015-12-23T07:30:49.374444 #715]  INFO -- :   Rendered account/register.html.erb within layouts/base (2.0m

s)

I, [2015-12-23T07:30:49.374769 #715]  INFO -- : Completed 500 Internal Server Error in 250ms (ActiveRecord: 4.

8ms)

F, [2015-12-23T07:30:49.375824 #715] FATAL -- : 

ActionView::Template::Error (incompatible character encodings: UTF-8 and ASCII-8BIT):

    13:   <p><%= f.password_field :password_confirmation, :size => 25, :required => true %></p>

    14: <% end %>

    15: 

    16: <p><%= f.text_field :firstname, :required => true %></p>

    17: <p><%= f.text_field :lastname, :required => true %></p>

    18: <p><%= f.text_field :mail, :required => true %></p>

    19: 

  lib/redmine/views/labelled_form_builder.rb:31:in `text_field'

  app/views/account/register.html.erb:16:in `block in _app_views_account_register_html_erb___65718768959803761

7_67033640'

  app/helpers/application_helper.rb:1030:in `labelled_form_for'

  app/views/account/register.html.erb:3:in `_app_views_account_register_html_erb___657187689598037617_67033640

'

  app/controllers/account_controller.rb:286:in `onthefly_creation_failed'

  app/controllers/account_controller.rb:199:in `password_authentication'

  app/controllers/account_controller.rb:189:in `authenticate_user'

  app/controllers/account_controller.rb:40:in `login'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

 I make quick patch that fix it.

#3 - 2015-12-23 16:10 - Toshi MARUYAMA

Фёдор Патлин wrote:

Same problem in 3.2.0.

Exception is:
[...]

I make quick patch that fix it.

 Try #21453#note-4 instead.

#4 - 2015-12-23 16:13 - Toshi MARUYAMA

- Status changed from New to Closed

I close because #17618 upgraded gem.

Files

0001-Fix-exception-apperas-when-LDAP-attribute-contains-n.patch 1.08 KB 2015-12-23 Фёдор Патлин

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

https://www.redmine.org/issues/21453#note-4
https://www.redmine.org/issues/17618
http://www.tcpdf.org

